using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;
using System.Net.Http;
using System.Net;
using MadRunFabric.Common;
using CallCenterApi.Model;

namespace CallCenterApi.Controllers
{
    [ApiVersion("6.0")]
    [AllowAnonymous]
    [Produces("application/json")]
    [Route("api/Info")]
    public class InfoController : BaseController
    {

        //private readonly madrunfabircdb_baseContext _context;

        //public InfoController(madrunfabircdb_baseContext context)
        //{
        //    _context = context;
        //}

        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { $"版本信息 {RequestedApiVersion}", "开发团队: Mad Fun Fabric" };
        }

        //[HttpGet("get1")]
        //public IEnumerable<tt> Get1()
        //{
        //    return _context.tt .ToList();
        //}

        protected ApiVersion RequestedApiVersion => HttpContext.GetRequestedApiVersion();
    }
}
